Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		gtick
Version:	0.4.2
Release:	1
License:	GNU/GPL 
URL:		http://www.antcom.de/gtick/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	GNU gtick metronome
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  libsndfile-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
GTick is a metronome application written for GNU/Linux and other UN*X-like operting systems supporting different meters (Even, 2/4, 3/4, 4/4 and more) and speeds ranging from 10 to 1000 bpm. It utilizes GTK+ and OSS (ALSA compatible).

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# stripping the buildroot
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
# Install desktop file
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications/


%files
%defattr(-,root,root)
%{_bindir}/gtick
%{_datadir}/locale
%{_datadir}/applications
%{_mandir}/man1/gtick.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.4.2-1
- Initial Release
